%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           SocksiPy
Version:        1.00
Release:        1%{?dist}
Summary:        Easy to use SOCKS client support for Python
Group:          Development/Languages
License:        Uk
URL:            http://socksipy.sourceforge.net/
Source0:        http://downloads.sourceforge.net/socksipy/%{name}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel


%description
This module was designed to allow developers of Python software that
uses the Internet or another TCP/IP-based network to add support for
connection through a SOCKS proxy server with as much ease as possible.


%prep
%setup -q -c


%build
# RPM builds compiled python for us


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{python_sitelib}/
install -m 755 socks.py  $RPM_BUILD_ROOT%{python_sitelib}/

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/socks.py*


%changelog
* Fri Oct 17 2008 Conrad Meyer <konrad@tylerc.org> - 1.00-1
- Initial package.
